


/* Include the HCPCA9685 library */
#include "HCPCA9685.h"

/* I2C slave address for the device/module. For the HCMODU0097 the default I2C address
   is 0x40 */
//#define  I2CAdd 0x40
#define  I2CAdd 0x70

/* Create an instance of the library */
HCPCA9685 HCPCA9685(I2CAdd);

// min/max values of servos
int backforthMin = 230;
int backforthMax = 360;
int updownMax = 260;
int updownMin = 350;
int backforthCenter;

void setup() 
{
  Serial.begin(115200);
  backforthCenter = (backforthMin + ((backforthMax - backforthMin)/2));

  Serial.println("init servos");
  /* Initialise the library and set it to 'servo mode' */ 
  HCPCA9685.Init(SERVO_MODE);

  /* Wake the device up */
  HCPCA9685.Sleep(false);

  //center all servos before start
    HCPCA9685.Servo(1, updownMin); 
    HCPCA9685.Servo(3, updownMin);
    HCPCA9685.Servo(5, updownMin);
    HCPCA9685.Servo(7, updownMin);
    HCPCA9685.Servo(9, updownMin);
    HCPCA9685.Servo(11, updownMin);

    HCPCA9685.Servo(0, backforthCenter);   // +/- is eventually for correction
    HCPCA9685.Servo(2, backforthCenter-5);
    HCPCA9685.Servo(4, backforthCenter);  
    HCPCA9685.Servo(6, backforthCenter);
    HCPCA9685.Servo(8, backforthCenter+18);
    HCPCA9685.Servo(10, backforthCenter+5);  

  Serial.println("servos centered");
  
  delay(500);
}


void loop() 
{  }

/* left side:
 * up - down     260-350
 * |            forward - backwards   360-230
 * |            |
 * 0,1        2,3
 * 4,5        6,7
 * 8,9       10,11
 */
